Skip to main content
GET
/
v1
/
namespaces
/
{tenant_meta.namespace}
/
projects
/
{uuid}
GetProject
curl --request GET \
  --url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/projects/{uuid}
{
  "meta": {
    "name": "<string>",
    "annotations": {},
    "create_time": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "description": "<string>",
    "index_data": {
      "data": [
        "<string>"
      ],
      "search_score": 123,
      "tenant": "<string>",
      "will_be_deleted_at": "2023-11-07T05:31:56Z"
    },
    "kind": "<string>",
    "parent_kind": "<string>",
    "parent_uuid": "<string>",
    "references": {},
    "tags": [
      "<string>"
    ],
    "update_time": "2023-11-07T05:31:56Z",
    "updated_by": "<string>",
    "upsert_time": "2023-11-07T05:31:56Z",
    "version": "<string>"
  },
  "spec": {
    "platform_source": "PLATFORM_SOURCE_UNSPECIFIED",
    "git": {
      "http_clone_url": "<string>",
      "external_installation_id": "<string>",
      "full_name": "<string>",
      "git_clone_url": "<string>",
      "invalid_installation": true,
      "organization": "<string>",
      "path": "<string>",
      "web_url": "<string>"
    },
    "ingestion_token": "<string>",
    "internal_reference_key": "<string>",
    "is_archived": true,
    "model": {
      "full_name": "<string>",
      "http_clone_url": "<string>",
      "provider": "AI_MODEL_PROVIDER_UNSPECIFIED"
    },
    "sbom": {
      "kind": "SBOM_KIND_UNSPECIFIED",
      "main_component_purl": "<string>"
    },
    "scan_profile_uuid": "<string>",
    "toolchain_profile_uuid": "<string>",
    "unsupported": {
      "name": "<string>"
    }
  },
  "processing_status": {
    "analytic_time": "2023-11-07T05:31:56Z",
    "disable_automated_scan": true,
    "metadata": {
      "full_history_scan_time": "2023-11-07T05:31:56Z"
    },
    "queue_time": "2023-11-07T05:31:56Z",
    "scan_state": "SCAN_STATE_UNSPECIFIED",
    "scan_time": "2023-11-07T05:31:56Z"
  },
  "tenant_meta": {
    "namespace": "<string>"
  },
  "uuid": "<string>"
}

Path Parameters

tenant_meta.namespace
string
required

Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".

uuid
string
required

The UUID of the requested resource.

Query Parameters

get_parameters.mask
string

List of fields to return (all fields are returned by default).

Response

A successful response.

Logical root object that serves as the basis for organizing and managing all information related to a repository.

A project corresponds to a repository.

meta
object
required

Common fields for all Endor Labs resources.

spec
object
required
processing_status
object
tenant_meta
object

Tenant related data for the tenant containing the resource.

uuid
string

The unique identifier of the project.